var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import { Typography, withStyles } from "@material-ui/core";
import clsx from "clsx";
import React from "react";
var styles = {
    root: {
        padding: "7px 0",
        minHeight: 20,
        color: "#666",
        fontSize: "13px"
    }
};
var Label = function (props) {
    var classes = props.classes, className = props.className, other = __rest(props, ["classes", "className"]);
    return React.createElement(Typography, __assign({}, other, { className: clsx(classes.root, className) }));
};
export default withStyles(styles, { name: "DcLabel" })(Label);
