var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import { withStyles } from "@material-ui/core";
// tslint:disable-next-line
import Fab from "@material-ui/core/Fab";
import clsx from "clsx";
import React from "react";
var styles = {
    root: {
        "&:hover": {
            fill: "#fff"
        }
    },
    light: {
        backgroundColor: "#fff"
    },
    dark: {}
};
var StyledFab = function (props) {
    var _a;
    var _b = props.variant, variant = _b === void 0 ? "dark" : _b, classes = props.classes, other = __rest(props, ["variant", "classes"]);
    return (React.createElement(Fab, __assign({}, other, { className: clsx(classes.root, (_a = {},
            _a[classes.light] = variant === "light",
            _a[classes.dark] = variant === "dark",
            _a)) })));
};
export default withStyles(styles, { name: "DcStyledFab" })(StyledFab);
