import React from "react";
import Editor from "../Editor/Editor";
import { withTheme } from "./withTheme";
/**
 * Helper function used by stories
 * @param schema
 */
export function withEditor(schema, value, registry) {
    return withTheme(React.createElement(Editor, { schema: schema, value: value, registry: registry }));
}
