var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import React from "react";
import { Collapse, withStyles } from "@material-ui/core";
import clsx from "clsx";
var styles = {
    root: {
        display: "block"
    },
    header: {
        display: "block",
        "&:hover": {
            cursor: "pointer"
        }
    },
    body: {},
    open: {}
};
var CollapsibleSection = function (props) {
    var _a;
    var onChange = props.onChange, _b = props.defaultExpanded, defaultExpanded = _b === void 0 ? true : _b, classes = props.classes, children = props.children, className = props.className, other = __rest(props, ["onChange", "defaultExpanded", "classes", "children", "className"]);
    var _c = React.Children.toArray(children), header = _c[0], body = _c.slice(1);
    var _d = React.useState(defaultExpanded), expanded = _d[0], setExpandedState = _d[1];
    var handleClick = React.useCallback(function (event) {
        setExpandedState(!expanded);
        if (onChange) {
            onChange(!expanded);
        }
    }, [expanded, onChange, setExpandedState]);
    return (React.createElement("div", __assign({}, other, { className: clsx(classes.root, (_a = {},
            _a[classes.open] = expanded,
            _a), className) }),
        React.createElement("div", { className: classes.header, onClick: handleClick }, header),
        React.createElement(Collapse, { className: clsx(classes.body), collapsedHeight: "0px", timeout: 300, in: expanded }, body)));
};
export default withStyles(styles, { name: "DcCollapsibleSection" })(CollapsibleSection);
